<template>
  <div class="pd10">
    <el-tabs v-model="activeName" type="border-card">
      <el-tab-pane
        label="台账操作记录"
        name="first"
        :style="'height:' + vh + ';'"
      >
        <MainRecord v-if="activeName == 'first'" />
      </el-tab-pane>
      <!-- <el-tab-pane
        label="配网监测点操作记录"
        name="second"
        :style="'height:' + vh + ';'"
      >
        <DistributionRecord v-if="activeName == 'second'" />
      </el-tab-pane> -->
    </el-tabs>
  </div>
</template>
<script>
import MainRecord from "./components/record/MainRecord";
import DistributionRecord from "./components/record/DistributionRecord";
export default {
  name:'tzczjlck',
  components: { MainRecord, DistributionRecord },
  props: {},
  data() {
    return {
      vh: "",
      activeName: "first",
    };
  },
  created() {},
  mounted() {
   this.setHeight()
    window.addEventListener('resize', this.setHeight)
  },
  beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
  methods: {
    setHeight() {
      this.vh = window.sessionStorage.getItem('appheight') - 83 + "px";
     
        },
  },

  computed: {},

  watch: {},
};
</script>
<style lang="less" scoped>
@import url("../../styles/comStyle.less");
::v-deep .el-tabs--border-card > .el-tabs__content {
  padding: 10px;
}
</style>
